# Copyright 2022 JRGEMCP LLC
# See LICENSE file for licensing details.
#

options:
  PREFERRED_TIMEZONE:
      type: string
      description: "Start the charm with your preferred timezone"
      default: 'Europe/Stockholm'
  GIT_REPO_ADDRESS:
      type: string
      description: 'The URL pointing to the Meltano project git repository to clone'
      default: 'https://gitlab.com/jrgemcp-public/meltano-project-starter.git'
  GIT_PRIVATE_KEY_PROJ:
      type: string
      description: 'The private key to access git_repo_address for your meltano project'
      default: ''
  GIT_DEPLOY_TOKEN_USERNAME:
      type: string
      description: 'The private deploy token username to access the git_repo_address'
      default: ''
  GIT_DEPLOY_TOKEN:
      type: string
      description: 'The private deploy token to access the git_repo_address'
      default: ''